Preview 1.1.0

From EGIWiki
Jump to: navigation, search

Contents

STORM 1.11.10

Description and released components

This release provides fixes and improvements for the several components.

It's HIGHLY RECOMMENDED to upgrade your installation to the version of StoRM WebDAV included in this release, that provides fixes for a security vulnerability affecting the Milton webdav library.

Digest: adler32=8a23d4f8

to be compliant with RFC-3230 specific.

Bug fixes

Improvements

Security vulnerabilities

More information concerning the security vulnerabilities addressed by this release are going to be published when appropriate at this URL

Installation and configuration

Packages can be obtained from Preview repositories.

In general, to re-configure the services, follow the commands below.

/usr/libexec/storm-info-provider configure
service storm-backend-server restart
service storm-webdav restart
service bdii restart

Alternatively, you can simply run YAIM.

You can find more information about upgrade, clean installation and configuration of StoRM services in the System Administration Guide.

The instructions per component are below.

StoRM Backend v. 1.11.10

yum update storm-backend-server
service storm-backend-server restart

StoRM Info Provider v. 1.7.9

yum update storm-dynamic-info-provider
/usr/libexec/storm-info-provider configure
service bdii restart

Alternatively, you can simply run YAIM after the update.

StoRM GridHTTPs v. 3.0.4

yum update storm-gridhttps-server
service storm-gridhttps-server restart

StoRM WebDAV v. 1.0.4

yum update storm-webdav
service storm-webdav restart

Check the the StoRM WebDAV installation and configuration guide for detailed installation and configuration information.

VOMS Admin server 3.4.2

Description

This release provides fixes to a couple of problems introduced in VOMS Admin 3.4.0, in particular:

Authenticate users by certificate subject

Now users are correctly authenticated by certificate subject. With default settings, VOMS Admin authenticates clients by looking at the client certificate (subject,issuer) couple. A configuration flag was introduced in VOMS Admin 3.3.2 to authenticate only by certificate subject, but the fix worked only for VO administrators. This problem is now fixed.

For instruction on how to enable this feature, see the VOMS Admin 3.3.2 release notes.

Disable membership expiration notifications

Is now possible to disable membership expiration notifications. This kind of notification do not make sense in deployments, like at CERN, where a VO administrator cannot extend the lifetime of VO members.

To disable membership expiration notifications either:

A restart of the service is required.

Other improvements and fixes are listed below.

Bug fixes

Installation and configuration

Upgrade from VOMS Admin Server >= 3.4.0

Update the packages and restart the service.

Upgrade from VOMS Admin Server >= 3.2.0

A database upgrade and a reconfiguration (in this order) are required to upgrade to VOMS Admin server 3.4.2.

Upgrade from earlier VOMS Admin Server versions

First upgrade to VOMS Admin version 3.2.0 and then to 3.4.2. Clean install

Follow the instructions in the VOMS System Administrator Guide.

VOMS Server 2.0.13

Bug fixes

Installation and configuration

A restart of the service is needed.

For clean and update installation instructions, follow the instructions in the VOMS System Administrator guide.

VOMS API Java 3.0.6

Targeted at Bouncycastle 1.46/CANL 1.3.x

Description

This version of the Java APIs provide the following improvement and bug fixes:

Bug fixes

Installation

From Maven central

<dependency>
  <groupId>org.italiangrid</groupId>
  <artifactId>voms-api-java</artifactId>
  <version>3.0.6</version>
</dependency>

From RPM package

yum install voms-api-java3
yum update

VOMS API Java 3.1.0

This is the porting of VOMS API Java to CANL 2.1.x/Bouncycastle 1.50. The functionality is equivalent to VOMS API Java 3.0.6.

Installation

From Maven central

<dependency>
  <groupId>org.italiangrid</groupId>
  <artifactId>voms-api-java</artifactId>
  <version>3.1.0</version>
</dependency>

VOMS API Java 3.2.0

This is the porting of VOMS API Java to CANL 2.2.x/Bouncycastle 1.52. The functionality is equivalent to VOMS API Java 3.0.6.

Installation

From Maven central

<dependency>
  <groupId>org.italiangrid</groupId>
  <artifactId>voms-api-java</artifactId>
  <version>3.2.0</version>
</dependency>
Personal tools
Namespaces
Variants
Actions
Navigation
Toolbox
Print/export